Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 258651 - API for pin watches
API for pin watches
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 215073 258917
  Show dependency treegraph
 
Reported: 2016-04-05 07:49 UTC by Martin Entlicher
Modified: 2016-04-20 10:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed pin watch APIs (29.53 KB, patch)
2016-04-08 17:40 UTC, Martin Entlicher
Details | Diff
Proposed pin watch APIs (33.98 KB, patch)
2016-04-12 09:58 UTC, Martin Entlicher
Details | Diff
Proposed pin watch APIs (35.86 KB, patch)
2016-04-14 07:59 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2016-04-05 07:49:11 UTC
Pin watches implementation (issue #215073) need APIs in NetBeans debugger.
Comment 1 Martin Entlicher 2016-04-08 17:40:37 UTC
Created attachment 159170 [details]
Proposed pin watch APIs
Comment 2 Martin Entlicher 2016-04-08 17:42:26 UTC
Please review the proposed API for debugger pin watches.
The code is on debugger_pin_watch branch in jet-main repository.
Comment 3 Martin Entlicher 2016-04-08 17:44:27 UTC
Please review whether this API suits CND for pin watches implementation.
Comment 4 Martin Entlicher 2016-04-12 09:58:20 UTC
Created attachment 159225 [details]
Proposed pin watch APIs

The APIs slightly improved to allow watch value editing.
Comment 5 Martin Entlicher 2016-04-14 07:59:16 UTC
Created attachment 159261 [details]
Proposed pin watch APIs

Finally, there was an agreement to add a possibility to expand the pin watch, to get a detailed view.
I've added just two methods to this review to accomplish this in a generic way:
ValueProvider.getHeadActions(Watch),
ValueProvider.getTailActions(Watch).
If you have a suggestion for a better naming/approach, you're welcome.
Comment 6 Martin Entlicher 2016-04-18 12:49:11 UTC
Thank you for the review, I'm going to merge the branch into trunk this evening CEST.
Comment 7 Martin Entlicher 2016-04-18 23:13:49 UTC
The debugger_pin_watch branch is merged into trunk:
http://hg.netbeans.org/jet-main/rev/407d58493c75
Comment 8 Quality Engineering 2016-04-20 01:49:19 UTC
Integrated into 'main-silver', will be available in build *201604200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4349a5e16a25
User: mentlicher@netbeans.org
Log: #258651: Debugger API for pin watches.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo